Bug 1743156 - Creating a host, doesn't create the host properly
Summary: Creating a host, doesn't create the host properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Shira Maximov
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-19 08:44 UTC by Shira Maximov
Modified: 2019-10-22 13:32 UTC (History)
8 users (show)

Fixed In Version: rubygem-hammer_cli_foreman-0.17.0.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 13:30:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 27652 0 Normal Closed Creating a host, doesn't create the host properly 2020-09-05 03:14:23 UTC
Red Hat Product Errata RHBA-2019:3175 0 None None None 2019-10-22 13:32:42 UTC

Description Shira Maximov 2019-08-19 08:44:19 UTC
This bug was caused due to the compute profile PR, which removed the string "compute" from the each attribute in the interfaces.

Comment 1 Shira Maximov 2019-08-19 08:44:24 UTC
Created from redmine issue https://projects.theforeman.org/issues/27652

Comment 3 Shira Maximov 2019-08-19 08:44:29 UTC
Upstream bug assigned to mshira

Comment 6 Bryan Kearney 2019-08-27 14:03:29 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27652 has been resolved.

Comment 10 vijsingh 2019-09-10 06:56:53 UTC
ON_QA verified

@Satellite 6.6.0 snap 19.0


Steps/Observation:

____________________________________________________________
[root@hpe-dl360pgen8-08 ~]# hammer host create --name 'vmware1test' --hostgroup VmHG --interface="compute_type=VirtualE1000" --organization-id 1 --location-id 2 --ask-root-password yes
Enter the root password for the host: 
Host created.

[root@hpe-dl360pgen8-08 ~]# hammer host create --name "test123" --hostgroup TestHG --interface="primary=true,provision=true" --organization-id 1 --location-id 2 --ask-root-password yes
Enter the root password for the host: 
Host created.

[root@hpe-dl360pgen8-08 ~]# hammer host create --name "test123453" --hostgroup TestHG --organization-id 1 --location-id 2 --ask-root-password yes --interface="compute_type=bridge,compute_model=e1000"
Enter the root password for the host: 
Host created.
____________________________________________________________

Comment 12 errata-xmlrpc 2019-10-22 13:30:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3175


Note You need to log in before you can comment on or make changes to this bug.